Subject: Re: 23.0.60; proced with variable-pitch header line

From: Chong Yidong <[email-masked]>
Date: Sun, 04 Jan 2009 03:23:53 -0500

> Proced does not align the attribute names in the header line with the
> corresponding columns when header-line face has variable pitch.
>
> I know of two approaches to dealing with this situation in Emacs, namely
> that of buff-menu.el and that of ibuffer.el.  The latter imposes a
> fixed-pitch face in the header line, overriding the
> user customization.  The former uses the display property with an
> :align-to specification to get proper alignment.  Maybe one of these
> will work with proced.el too.

We can't use :align-to because proced justifies some headers to the
right hand side of the column.

I don't see where ibuffer.el imposes a fixed-pitch face on the header
line, though.  Can you point out where it does this?